package com.ruoyi.system.service.publicservice;


import com.ruoyi.system.domain.publicservice.TPublicServiceDiscuss;

import java.util.List;

/**
 * 公共服务 我发现表
 *
 * @author wangjie
 */
public interface TPublicServiceDiscussService {

    /**
     * 分页查询
     *
     * @param tPublicServiceDiscuss
     * @return
     */
    List<TPublicServiceDiscuss> listTPublicServiceDiscuss(TPublicServiceDiscuss tPublicServiceDiscuss);

    /**
     * 新增
     *
     * @param tPublicServiceDiscuss
     * @return
     */
    int saveTPublicServiceDiscuss(TPublicServiceDiscuss tPublicServiceDiscuss);

    /**
     * 根据id查询
     *
     * @param id
     * @return
     */
    TPublicServiceDiscuss getTPublicServiceDiscussById(Long id);

    /**
     * 修改
     *
     * @param tPublicServiceDiscuss
     * @return
     */
    int updateTPublicServiceDiscuss(TPublicServiceDiscuss tPublicServiceDiscuss);

    /**
     * 删除
     *
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    //我发现 最大code
    String getMaxNum();

    //保存 及附件
    int saveDiscuss(TPublicServiceDiscuss tPublicServiceDiscuss, String userId);

    //返回 附件
    TPublicServiceDiscuss getDiscussById(Long id);

    //更新 积分
    int updateDiscuss(TPublicServiceDiscuss tPublicServiceDiscuss, String realName);

}
